Solid Edge Assembly Type Library
Recompute Method
Should be set to zero.
Description
This method implements the re compute method for Assembly Feature Part Color Improvements.
Syntax
Visual Basic
Public Sub Recompute( _
   ByVal options As Long _
) 
Parameters
options
Should be set to zero.
Example
Imports System.Runtime.InteropServices
Public Class Recompute

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objType As Type = Nothing
        Dim objAssemblyDoc As SolidEdgeAssembly.AssemblyDocument = Nothing
        Dim objAssemblyFeatures As SolidEdgeAssembly.AssemblyFeatures = Nothing
        Try
            ' Create/get the application with specific settings
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")

            If objApplication Is Nothing Then
                ' Get the type from the Solid Edge ProgID
                objType = Type.GetTypeFromProgID("SolidEdge.Application")
                ' Start Solid Edge
                objApplication = Activator.CreateInstance(objType)
                ' Make Solid Edge visible
                objApplication.Visible = True
            End If
            'Get reference to active assembly document
            objAssemblyDoc = objApplication.ActiveDocument
            objAssemblyFeatures = objAssemblyDoc.AssemblyFeatures
            objAssemblyFeatures.Recompute(0)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
End Class
See Also

AssemblyFeatures Object  | AssemblyFeatures Members